Package org.eclipse.osgi.signedcontent

# Interface SignerInfo

public interface SignerInfo
A `SignerInfo` object represents a single signer chain.

This interface is not intended to be implemented by clients.

Since:
  3.4
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`Certificate[]`
`getCertificateChain()`
Returns the certificate chain
`String`
`getMessageDigestAlgorithm()`
Deprecated.
This information is not readily available using the JAR APIs included with Java.
`Certificate`
`getTrustAnchor()`
Returns the certificate trust anchor used to establish authenticity.
`boolean`
`isTrusted()`
Returns true if the trust anchor has been authenticated.

## Method Details

### getCertificateChain

Certificate[] getCertificateChain()
Returns the certificate chain

Returns:
  the certificate chain

### getTrustAnchor

Certificate getTrustAnchor()
Returns the certificate trust anchor used to establish authenticity. If authenticity cannot be established then `null` is returned.

Returns:
  the trust anchor

### isTrusted

boolean isTrusted()
Returns true if the trust anchor has been authenticated. This is a convenience method equivalent to calling ``getTrustAnchor()` != null`

Returns:
  true if the the signer info is trusted

### getMessageDigestAlgorithm

String getMessageDigestAlgorithm()
Deprecated.
This information is not readily available using the JAR APIs included with Java. A value unknown will be returned.
Returns the `MessageDigest` algorithm used to verify content signed by this signer info.

Returns:
  the algorithm